let PrimaryCharacters = {
    0x0020 : "-",
    0x002D : "-",
    0x0030 : "0",
    0x0031 : "1",
    0x0032 : "2",
    0x0033 : "3",
    0x0034 : "4",
    0x0035 : "5",
    0x0036 : "6",
    0x0037 : "7",
    0x0038 : "8",
    0x0039 : "9",
    0x0041 : "a",
    0x0042 : "b",
    0x0043 : "c",
    0x0044 : "d",
    0x0045 : "e",
    0x0046 : "f",
    0x0047 : "g",
    0x0048 : "h",
    0x0049 : "i",
    0x004A : "j",
    0x004B : "k",
    0x004C : "l",
    0x004D : "m",
    0x004E : "n",
    0x004F : "o",
    0x0050 : "p",
    0x0051 : "q",
    0x0052 : "r",
    0x0053 : "s",
    0x0054 : "t",
    0x0055 : "u",
    0x0056 : "v",
    0x0057 : "w",
    0x0058 : "x",
    0x0059 : "y",
    0x005A : "z",
    0x0061 : "a",
    0x0062 : "b",
    0x0063 : "c",
    0x0064 : "d",
    0x0065 : "e",
    0x0066 : "f",
    0x0067 : "g",
    0x0068 : "h",
    0x0069 : "i",
    0x006A : "j",
    0x006B : "k",
    0x006C : "l",
    0x006D : "m",
    0x006E : "n",
    0x006F : "o",
    0x0070 : "p",
    0x0071 : "q",
    0x0072 : "r",
    0x0073 : "s",
    0x0074 : "t",
    0x0075 : "u",
    0x0076 : "v",
    0x0077 : "w",
    0x0078 : "x",
    0x0079 : "y",
    0x007A : "z",
    0x00C6 : "ae",
    0x00D8 : "o",
    0x00DF : "ss",
    0x00E6 : "ae",
    0x00F8 : "o",
    0x0110 : "d",
    0x0111 : "d",
    0x0141 : "l",
    0x0142 : "l",
    0x0152 : "oe",
    0x0153 : "oe",
    0x01C4 : "dz",
    0x01C5 : "dz",
    0x01C6 : "dz",
    0x01C8 : "lj",
    0x01CB : "nj",
    0x01F1 : "dz",
    0x01F2 : "dz",
    0x01F3 : "dz",
    0x0391 : "a",
    0x0392 : "v",
    0x0393 : "g",
    0x0394 : "d",
    0x0395 : "e",
    0x0396 : "z",
    0x0397 : "i",
    0x0398 : "th",
    0x0399 : "i",
    0x039A : "k",
    0x039B : "l",
    0x039C : "m",
    0x039D : "n",
    0x039E : "x",
    0x039F : "o",
    0x03A0 : "p",
    0x03A1 : "r",
    0x03A3 : "s",
    0x03A4 : "t",
    0x03A5 : "y",
    0x03A6 : "f",
    0x03A7 : "ch",
    0x03A8 : "ps",
    0x03A9 : "o",
    0x03B1 : "a",
    0x03B2 : "v",
    0x03B3 : "g",
    0x03B4 : "d",
    0x03B5 : "e",
    0x03B6 : "z",
    0x03B7 : "i",
    0x03B8 : "th",
    0x03B9 : "i",
    0x03BA : "k",
    0x03BB : "l",
    0x03BC : "m",
    0x03BD : "n",
    0x03BE : "x",
    0x03BF : "o",
    0x03C0 : "p",
    0x03C1 : "r",
    0x03C2 : "s",
    0x03C3 : "s",
    0x03C4 : "t",
    0x03C5 : "y",
    0x03C6 : "f",
    0x03C7 : "ch",
    0x03C8 : "ps",
    0x03C9 : "o",
    0x0404 : "Ye",
    0x0405 : "z",
    0x0406 : "i",
    0x0408 : "j",
    0x0409 : "l",
    0x040A : "n",
    0x040F : "dh",
    0x0410 : "a",
    0x0411 : "b",
    0x0412 : "v",
    0x0413 : "g",
    0x0414 : "d",
    0x0415 : "e",
    0x0416 : "zh",
    0x0417 : "z",
    0x0418 : "i",
    0x041A : "k",
    0x041B : "l",
    0x041C : "m",
    0x041D : "n",
    0x041E : "o",
    0x041F : "p",
    0x0420 : "r",
    0x0421 : "s",
    0x0422 : "t",
    0x0423 : "u",
    0x0424 : "f",
    0x0425 : "x",
    0x0426 : "cz",
    0x0427 : "ch",
    0x0428 : "sh",
    0x0429 : "shh",
    0x042A : "",
    0x042B : "y",
    0x042C : "",
    0x042D : "e",
    0x042E : "yu",
    0x042F : "ya",
    0x0430 : "a",
    0x0431 : "b",
    0x0432 : "v",
    0x0433 : "g",
    0x0434 : "d",
    0x0435 : "e",
    0x0436 : "zh",
    0x0437 : "z",
    0x0438 : "i",
    0x043A : "k",
    0x043B : "l",
    0x043C : "m",
    0x043D : "n",
    0x043E : "o",
    0x043F : "p",
    0x0440 : "r",
    0x0441 : "s",
    0x0442 : "t",
    0x0443 : "u",
    0x0444 : "f",
    0x0445 : "x",
    0x0446 : "cz",
    0x0447 : "ch",
    0x0448 : "sh",
    0x0449 : "shh",
    0x044A : "",
    0x044B : "y",
    0x044C : "",
    0x044D : "e",
    0x044E : "yu",
    0x044F : "ya",
    0x0454 : "Ye",
    0x0455 : "z",
    0x0456 : "i",
    0x0458 : "j",
    0x0459 : "l",
    0x045A : "n",
    0x045F : "dh",
    0x0490 : "g",
    0x0491 : "g",
    0x1E9E : "ss",
    0xFB00 : "ff",
    0xFB01 : "fi",
    0xFB02 : "fl",
    0xFB03 : "ffi",
    0xFB04 : "ffl",
    0xFB06 : "st"
};